MultipleIterator::attachIterator
MultipleIterator::containsIterator
MultipleIterator
PHP Manual

# MultipleIterator::__construct

(PHP 5 >= 5.3.0)

MultipleIterator::__construct — Constructs a new MultipleIterator

### Description

MultipleIterator::__construct ( integer `$flags` )

Construct a new MultipleIterator.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`flags`

  The flags to set, according to the Flag Constants

### Return Values

The iterator.

### See Also

- Flag Constants
- MultipleIterator::valid - Checks the validity of sub iterators

MultipleIterator::attachIterator
MultipleIterator::containsIterator
MultipleIterator
PHP Manual